name: Inventory Packaging
on: [push]

jobs:
  package:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v4
      - name: Processing assets
        run: bash make-all.sh
      - name: Packaging
        run: zip -r inventory-assets.zip out/
      - name: Upload
        uses: actions/upload-artifact@v4
        with:
          name: inventory-assets.zip
          path: inventory-assets.zip
